Loading...
Searching...
No Matches
BALL::SolventExcludedSurface Class Reference
Molecular Modeling » Molecular Structure » Molecular Surface Computation

`#include <BALL/STRUCTURE/solventExcludedSurface.h>`

## Public Types

Type definitions
typedef std::vector< SESVertex * >::iterator | VertexIterator
typedef std::vector< SESVertex * >::const_iterator | ConstVertexIterator
typedef std::vector< SESEdge * >::iterator | EdgeIterator
typedef std::vector< SESEdge * >::const_iterator | ConstEdgeIterator
typedef std::list< SESEdge * >::iterator | SingularEdgeIterator
typedef std::list< SESEdge * >::const_iterator | ConstSingularEdgeIterator
typedef std::vector< SESFace * >::iterator | ContactFaceIterator
typedef std::vector< SESFace * >::const_iterator | ConstContactFaceIterator
typedef std::vector< SESFace * >::iterator | SphericFaceIterator
typedef std::vector< SESFace * >::const_iterator | ConstSphericFaceIterator
typedef std::vector< SESFace * >::iterator | ToricFaceIterator
typedef std::vector< SESFace * >::const_iterator | ConstToricFaceIterator

## Public Member Functions

Constructors and Destructors
| SolventExcludedSurface ()
| SolventExcludedSurface (const SolventExcludedSurface &ses, bool=false)
| SolventExcludedSurface (ReducedSurface *reduced_surface)
virtual | ~SolventExcludedSurface ()
Accessors
void | clear ()
void | clean (const double &density)
void | compute ()
void | splitSphericFaces ()
bool | check ()

## Friends

Class friends

- class SESComputer
- class SESSingularityCleaner
- class TriangulatedSES
- class SESTriangulator

class | SESComputer
class | SESSingularityCleaner
class | TriangulatedSES
class | SESTriangulator

## External Iterators

Position | number_of_vertices_
::std::vector< SESVertex * > | vertices_
Position | number_of_edges_
::std::vector< SESEdge * > | edges_
Position | number_of_singular_edges_
::std::list< SESEdge * > | singular_edges_
Position | number_of_contact_faces_
::std::vector< SESFace * > | contact_faces_
Position | number_of_toric_faces_
::std::vector< SESFace * > | toric_faces_
Position | number_of_spheric_faces_
::std::vector< SESFace * > | spheric_faces_
ReducedSurface * | reduced_surface_
VertexIterator | beginVertex ()
ConstVertexIterator | beginVertex () const
VertexIterator | endVertex ()
ConstVertexIterator | endVertex () const
EdgeIterator | beginEdge ()
ConstEdgeIterator | beginEdge () const
EdgeIterator | endEdge ()
ConstEdgeIterator | endEdge () const
SingularEdgeIterator | beginSingularEdge ()
ConstSingularEdgeIterator | beginSingularEdge () const
SingularEdgeIterator | endSingularEdge ()
ConstSingularEdgeIterator | endSingularEdge () const
ContactFaceIterator | beginContactFace ()
ConstContactFaceIterator | beginContactFace () const
ContactFaceIterator | endContactFace ()
ConstContactFaceIterator | endContactFace () const
SphericFaceIterator | beginSphericFace ()
ConstSphericFaceIterator | beginSphericFace () const
SphericFaceIterator | endSphericFace ()
ConstSphericFaceIterator | endSphericFace () const
ToricFaceIterator | beginToricFace ()
ConstToricFaceIterator | beginToricFace () const
ToricFaceIterator | endToricFace ()
ConstToricFaceIterator | endToricFace () const

## Detailed Description

Generic SolventExcludedSurface Class.

Definition at line 66 of file solventExcludedSurface.h.

## Member Typedef Documentation

## ConstContactFaceIterator

typedef std::vector<SESFace*>::const_iterator BALL::SolventExcludedSurface::ConstContactFaceIterator

Definition at line 104 of file solventExcludedSurface.h.

## ConstEdgeIterator

typedef std::vector<SESEdge*>::const_iterator BALL::SolventExcludedSurface::ConstEdgeIterator

Definition at line 96 of file solventExcludedSurface.h.

## ConstSingularEdgeIterator

typedef std::list<SESEdge*>::const_iterator BALL::SolventExcludedSurface::ConstSingularEdgeIterator

Definition at line 100 of file solventExcludedSurface.h.

## ConstSphericFaceIterator

typedef std::vector<SESFace*>::const_iterator BALL::SolventExcludedSurface::ConstSphericFaceIterator

Definition at line 108 of file solventExcludedSurface.h.

## ConstToricFaceIterator

typedef std::vector<SESFace*>::const_iterator BALL::SolventExcludedSurface::ConstToricFaceIterator

Definition at line 112 of file solventExcludedSurface.h.

## ConstVertexIterator

typedef std::vector<SESVertex*>::const_iterator BALL::SolventExcludedSurface::ConstVertexIterator

Definition at line 92 of file solventExcludedSurface.h.

## ContactFaceIterator

typedef std::vector<SESFace*>::iterator BALL::SolventExcludedSurface::ContactFaceIterator

Definition at line 102 of file solventExcludedSurface.h.

## EdgeIterator

typedef std::vector<SESEdge*>::iterator BALL::SolventExcludedSurface::EdgeIterator

Definition at line 94 of file solventExcludedSurface.h.

## SingularEdgeIterator

typedef std::list<SESEdge*>::iterator BALL::SolventExcludedSurface::SingularEdgeIterator

Definition at line 98 of file solventExcludedSurface.h.

## SphericFaceIterator

typedef std::vector<SESFace*>::iterator BALL::SolventExcludedSurface::SphericFaceIterator

Definition at line 106 of file solventExcludedSurface.h.

## ToricFaceIterator

typedef std::vector<SESFace*>::iterator BALL::SolventExcludedSurface::ToricFaceIterator

Definition at line 110 of file solventExcludedSurface.h.

## VertexIterator

typedef std::vector<SESVertex*>::iterator BALL::SolventExcludedSurface::VertexIterator

Definition at line 90 of file solventExcludedSurface.h.

## Constructor & Destructor Documentation

## SolventExcludedSurface() [1/3]

BALL::SolventExcludedSurface::SolventExcludedSurface | ( |  | ) |

Default constructor. This method creates a new SolventExcludedSurface object.

## SolventExcludedSurface() [2/3]

BALL::SolventExcludedSurface::SolventExcludedSurface | ( | const SolventExcludedSurface & | ses,
|  | bool | = false )

Copy constructor. Create a new SolventExcludedSurface object from another.

Parameters

  ses | the SolventExcludedSurface object to be copied
  bool | ignored - just for interface consistency

## SolventExcludedSurface() [3/3]

BALL::SolventExcludedSurface::SolventExcludedSurface | ( | ReducedSurface * | reduced_surface | ) |

Detailed constructor

## ~SolventExcludedSurface()

virtual BALL::SolventExcludedSurface::~SolventExcludedSurface | ( |  | ) |

virtual

Destructor. As there are no dynamic data structures, nothing happens.

## Member Function Documentation

## beginContactFace() [1/2]

ContactFaceIterator BALL::SolventExcludedSurface::beginContactFace | ( |  | ) |

## beginContactFace() [2/2]

ConstContactFaceIterator BALL::SolventExcludedSurface::beginContactFace | ( |  | ) | const

## beginEdge() [1/2]

EdgeIterator BALL::SolventExcludedSurface::beginEdge | ( |  | ) |

## beginEdge() [2/2]

ConstEdgeIterator BALL::SolventExcludedSurface::beginEdge | ( |  | ) | const

## beginSingularEdge() [1/2]

SingularEdgeIterator BALL::SolventExcludedSurface::beginSingularEdge | ( |  | ) |

## beginSingularEdge() [2/2]

ConstSingularEdgeIterator BALL::SolventExcludedSurface::beginSingularEdge | ( |  | ) | const

## beginSphericFace() [1/2]

SphericFaceIterator BALL::SolventExcludedSurface::beginSphericFace | ( |  | ) |

## beginSphericFace() [2/2]

ConstSphericFaceIterator BALL::SolventExcludedSurface::beginSphericFace | ( |  | ) | const

## beginToricFace() [1/2]

ToricFaceIterator BALL::SolventExcludedSurface::beginToricFace | ( |  | ) |

## beginToricFace() [2/2]

ConstToricFaceIterator BALL::SolventExcludedSurface::beginToricFace | ( |  | ) | const

## beginVertex() [1/2]

VertexIterator BALL::SolventExcludedSurface::beginVertex | ( |  | ) |

## beginVertex() [2/2]

ConstVertexIterator BALL::SolventExcludedSurface::beginVertex | ( |  | ) | const

## check()

bool BALL::SolventExcludedSurface::check | ( |  | ) |

## clean()

void BALL::SolventExcludedSurface::clean | ( | const double & | density | ) |

## clear()

void BALL::SolventExcludedSurface::clear | ( |  | ) |

## compute()

void BALL::SolventExcludedSurface::compute | ( |  | ) |

Computes the solvent excluded surface from a ReducedSurface object

Exceptions

  BALL::Exception::GeneralException |

## endContactFace() [1/2]

ContactFaceIterator BALL::SolventExcludedSurface::endContactFace | ( |  | ) |

## endContactFace() [2/2]

ConstContactFaceIterator BALL::SolventExcludedSurface::endContactFace | ( |  | ) | const

## endEdge() [1/2]

EdgeIterator BALL::SolventExcludedSurface::endEdge | ( |  | ) |

## endEdge() [2/2]

ConstEdgeIterator BALL::SolventExcludedSurface::endEdge | ( |  | ) | const

## endSingularEdge() [1/2]

SingularEdgeIterator BALL::SolventExcludedSurface::endSingularEdge | ( |  | ) |

## endSingularEdge() [2/2]

ConstSingularEdgeIterator BALL::SolventExcludedSurface::endSingularEdge | ( |  | ) | const

## endSphericFace() [1/2]

SphericFaceIterator BALL::SolventExcludedSurface::endSphericFace | ( |  | ) |

## endSphericFace() [2/2]

ConstSphericFaceIterator BALL::SolventExcludedSurface::endSphericFace | ( |  | ) | const

## endToricFace() [1/2]

ToricFaceIterator BALL::SolventExcludedSurface::endToricFace | ( |  | ) |

## endToricFace() [2/2]

ConstToricFaceIterator BALL::SolventExcludedSurface::endToricFace | ( |  | ) | const

## endVertex() [1/2]

VertexIterator BALL::SolventExcludedSurface::endVertex | ( |  | ) |

## endVertex() [2/2]

ConstVertexIterator BALL::SolventExcludedSurface::endVertex | ( |  | ) | const

## splitSphericFaces()

void BALL::SolventExcludedSurface::splitSphericFaces | ( |  | ) |

## Friends And Related Symbol Documentation

## SESComputer

friend class SESComputer

friend

Definition at line 78 of file solventExcludedSurface.h.

## SESSingularityCleaner

friend class SESSingularityCleaner

friend

Definition at line 79 of file solventExcludedSurface.h.

## SESTriangulator

friend class SESTriangulator

friend

Definition at line 81 of file solventExcludedSurface.h.

## TriangulatedSES

friend class TriangulatedSES

friend

Definition at line 80 of file solventExcludedSurface.h.

## Member Data Documentation

## contact_faces_

::std::vector<SESFace*> BALL::SolventExcludedSurface::contact_faces_

protected

Definition at line 281 of file solventExcludedSurface.h.

## edges_

::std::vector<SESEdge*> BALL::SolventExcludedSurface::edges_

protected

Definition at line 269 of file solventExcludedSurface.h.

## number_of_contact_faces_

Position BALL::SolventExcludedSurface::number_of_contact_faces_

protected

Definition at line 278 of file solventExcludedSurface.h.

## number_of_edges_

Position BALL::SolventExcludedSurface::number_of_edges_

protected

Definition at line 266 of file solventExcludedSurface.h.

## number_of_singular_edges_

Position BALL::SolventExcludedSurface::number_of_singular_edges_

protected

Definition at line 272 of file solventExcludedSurface.h.

## number_of_spheric_faces_

Position BALL::SolventExcludedSurface::number_of_spheric_faces_

protected

Definition at line 290 of file solventExcludedSurface.h.

## number_of_toric_faces_

Position BALL::SolventExcludedSurface::number_of_toric_faces_

protected

Definition at line 284 of file solventExcludedSurface.h.

## number_of_vertices_

Position BALL::SolventExcludedSurface::number_of_vertices_

protected

Definition at line 260 of file solventExcludedSurface.h.

## reduced_surface_

ReducedSurface* BALL::SolventExcludedSurface::reduced_surface_

protected

Definition at line 296 of file solventExcludedSurface.h.

## singular_edges_

::std::list<SESEdge*> BALL::SolventExcludedSurface::singular_edges_

protected

Definition at line 275 of file solventExcludedSurface.h.

## spheric_faces_

::std::vector<SESFace*> BALL::SolventExcludedSurface::spheric_faces_

protected

Definition at line 293 of file solventExcludedSurface.h.

## toric_faces_

::std::vector<SESFace*> BALL::SolventExcludedSurface::toric_faces_

protected

Definition at line 287 of file solventExcludedSurface.h.

## vertices_

::std::vector<SESVertex*> BALL::SolventExcludedSurface::vertices_

protected

Definition at line 263 of file solventExcludedSurface.h.